/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <July 27, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
/* Welcome */
	/**/
#welcome-wrap.style-1 {
    padding-bottom: 14vw;
}
/* Services */
	/**/
.ry-card:before {
    background-color: #faf4eb;
}

.excerpt-hidden:after {
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%,#faf4eb);
}

.ry-card .ry-icon {
    background-color: var(--color-primary-background);
}

.ry-card .ry-icon img,
.ry-card:hover .ry-icon img{
    filter: invert(1);
}

.ry-card:nth-child(even) .ry-icon {
    background-color: var(--color-secondary-background);
}

/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/
.brand-4-swiper-button-next,
.brand-4-swiper-button-prev {
  align-items: center;
  color: var(--color-secondary-background);
  background-color: var(--color-secondary-text);
}

#hp-brands-6 .swiper-slide {
    background: #faf4eb;
}

#hp-brands-6 .swiper-slide img {
    mix-blend-mode: normal;
}

/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-2::before, .module-testimonials.style-3::after {
    bottom: auto;
    top: 0;
    background: #faf4eb;
    opacity: .5;
    z-index: 1;
    height: 50%;
}

.module-testimonials.style-2 .max-w-7xl {
    position: relative;
    z-index: 2;
}

.module-testimonials.style-2 .comments-symbol {
    font-family: 'EB Garamond';
}

.testimonials-swiper p, .testimonials-swiper-2 p {
    color: #374151;
}

.testimonials-swiper .p-4, .testimonials-swiper-2 .p-4 {
    padding: 0;
}
.module-testimonials.style-2 svg {
    color: var(--color-secondary-background);
}
/* Footer */
	/**/
/*Media Queries*/
	/**/

@media (max-width:1024px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}

@media (width < 1080px) {
  #section-hp-services:before,
  .module-19.style2:before,
  .ry-services.style2::before,
    #hp-brands-1::before, #hp-brands-2::before, #hp-brands-3::before, #hp-brands-4::before, #hp-brands-5::before, #hp-brands-6::before{
    opacity: 1;
	
}
	}
/* End - HP Edits*/
div#contents .pagination li {
    list-style: none !important;
}

    #ry-pg-body #navigation > .bg-primary-background {
        background:#fff;
        height:fit-content;
        padding-bottom:10px !important
    }

#navigation-style-3 + .ry-menu .ry-nav {
    width:95%;
    margin-inline:auto;
    padding:0
}

@media(max-width:1280px) {
.homepage-swiper .swiper-slide .with-gradient:before {
	background-image: linear-gradient(to bottom, white, #ecececbd, transparent);
	height:50%
}

}
@media(width:1024px) {
        #ry-pg-body :is(.navigation-3) {
        padding-bottom: 100px;
    }
}
@media(max-width:1023px) {
    #ry-pg-body #navigation > .bg-primary-background {
        padding-bottom:0px !important
    }
}

@media(max-width:1024px) {
    #ry-sidebar {
        max-width:450px;
        width:100%;
        margin-inline:auto
    }
}

/*--- IPL PAGE --*/
.ipl-pg .slider .slick-dots {
  bottom: -80px;
  display:flex !important;
  padding:0;
  margin:0;
  justify-content:center;
  align-items:center;
  margin-top:20px;
	position:relative
}

.ipl-pg .slider .slick-dots li {
  margin: 0 3px;
  list-style:none
}

.ipl-pg .slider .slick-dots li button {
  width: 10px;
  height: 10px;
  padding: 0;
  font-size:0;
  border-radius:50%;
  border:0;
  background:#0000002e
}

.ipl-pg .slider .slick-dots li.slick-active button {
  background:#402B61
}

.ipl-pg .slider .slick-dots li button:before {
  content: '';
  width: 8px;
  height: 8px;
  background: transparent;
  border-radius: 50%;
  opacity: 1;
}


.ipl-pg .slider {
  position:relative
}

.ipl-pg .slider .slick-prev,
.ipl-pg .slider .slick-next {
  z-index: 2;
  position:absolute;
  top:50% !important;
  transform:translateY(-50%) !important;
  background:transparent;
  border:none;
	display:none !important
}
.ipl-pg .slider .slick-prev {
  left:0
}
.ipl-pg .slider .slick-next {
  right:0
}
.ipl-pg .slider .slick-prev:before,
.ipl-pg .slider .slick-next:before {
  display: none;
}


/*--- IPL PAGE --*/
.ipl-pg .slider .slick-dots {
  bottom: 0px;
  display:flex !important;
  padding:0;
  margin:0;
  justify-content:center;
  align-items:center;
  margin-top:20px;
	position:relative
}
.ipl-pg .slider .slick-dots li::marker {
	font-size:0
}
.ipl-pg .slider .slick-dots li {
  margin: 0 3px;
  list-style:none;
}

.ipl-pg .slider .slick-dots li button {
  width: 13px;
  height: 13px;
  padding: 0;
  font-size:0;
  border-radius:50%;
  border:0;
  background:#0000002e
}

.ipl-pg .slider .slick-dots li.slick-active button {
  background:#ffffff94
}

.ipl-pg .slider .slick-dots li button:before {
  content: '';
  width: 8px;
  height: 8px;
  background: transparent;
  border-radius: 50%;
  opacity: 1;
}


.ipl-pg .slider {
  position:relative
}

.ipl-pg .slider .slick-prev,
.ipl-pg .slider .slick-next {
  z-index: 2;
  position:absolute;
  top:50% !important;
  transform:translateY(-50%) !important;
  background:transparent;
  border:none;
	display:none !important
}
.ipl-pg .slider .slick-prev {
  left:0
}
.ipl-pg .slider .slick-next {
  right:0
}
.ipl-pg .slider .slick-prev:before,
.ipl-pg .slider .slick-next:before {
  display: none;
}

[data-page-id="WebPage-ea99b7c0-492e-470e-9401-a33fd6a24b14"] [x-data="randomBanners"] {
    background:url(https://s3.amazonaws.com/static.organiclead.com/Site-00724618-255e-4fdf-a77d-e7cfdfe65da8/images/ib_optilight.jpg)no-repeat 80% / cover !important;
	height:350px;
}
[data-page-id="WebPage-ea99b7c0-492e-470e-9401-a33fd6a24b14"] [x-data="randomBanners"] img {
	display:none
}
[data-page-id="WebPage-ea99b7c0-492e-470e-9401-a33fd6a24b14"] [x-data="randomBanners"] .bg-gradient-to-r {
	background:unset;
	display:flex;
	justify-content:center
}
[data-page-id="WebPage-ea99b7c0-492e-470e-9401-a33fd6a24b14"] #ry-pg-banner .ry-bnr-wrp h1 {
    color:#fff !important
}

[data-page-id="WebPage-ea99b7c0-492e-470e-9401-a33fd6a24b14"] #ry-pg-banner .ry-bnr-wrp:before {
    background: rgb(2 22 37 / 50%);
}
.ipl-pg {
    padding:100px 0
}
.ipl-pg .ry-container {
    max-width:1280px;
	width:90%
}
.ipl-pg h2 {
    color:#000;
    line-height:1.1 !important;
    text-transform:none !important;
    font-size: clamp(2.375rem, 2.2157rem + 0.6536vw, 3rem) !important;
}
.ipl-pg h5 {
	font-size: 18px !important;
    font-size: 20px;
    text-transform: uppercase !important;
    color: var(--color-primary-background);
    font-weight: 400 !important;
}
.ipl-pg h2 span {
    display:block;
    font-size: 20px;
    text-transform: uppercase;
    color: var(--color-primary-background);
    font-weight: 400;
	    font-family: Lato, sans-serif;
}
.ipl-pg .ry-container .ry-flex {
    margin-bottom:140px;
	position:relative
}

.ipl-pg p .span-2 {
    font-size: clamp(1.25rem, 1.1703rem + 0.3268vw, 1.5625rem);
    color: var(--color-primary-background);
    font-weight: 400;
}

.ipl-pg .ry-flex > div {
    width:43%;
}
.ipl-pg .ry-flex > div.img-wrapper {
    position:relative;
	height:fit-content
}


.ipl-pg .ry-flex .effect {
	margin-top:30px
}

.ipl-pg .ry-flex .effect span {
	color: var(--color-primary-background);
	font-size:28px;
	padding-right:40px;
	text-transform:none;
}

.ipl-pg .ry-flex .effect > div:first-child {
	border-bottom:solid 1px #eaeaea;
	padding:10px 0;
	margin-bottom:10px
}
.ipl-pg .ry-flex .effect p {
	text-transform:uppercase;
}

.ipl-pg .ry-full {
	background:var(--color-primary-background);
	position:relative;
	padding:200px 0;
	margin:200px auto 280px
}
.ipl-pg .ry-full .ry-container {
	position:absolute;
	top:50%;
	left:50%;
	transform:translate(-50%,-50%);
	border:solid 2px  var(--color-primary-background);
	padding:10PX
}

.video-container {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.ipl-pg ul li::marker {
	color:#69a3d6
}

.ipl-pg .btn-wrapper {
	display:flex;
	 gap:15px;
	margin-top:30px;
	align-items:start;
	justify-content:start
	
}
.ipl-pg .btn-wrapper a {
	border-radius:30px !important;
	height:50px;
	margin-inline:unset;
	display:flex;
	align-items:center;
	justify-content:center;
	text-decoration:unset;
	padding:10px 22px
	
}
.ipl-pg .baf {
	display:flex;
	margin:-20px 0 0 0 
}
.ipl-pg .baf > div {
	width:50%
}

.ipl-pg .baf > div P {
	text-align:center;
	text-transform:uppercase;
	color:#fff
}
.before-after-section.ry-flex::before {
	background:var(--color-primary-background);
	content:"";
	width:100%;
	left:auto;
	right:-60%;
	top:50%;
	transform:translateY(-50%);
	height:120%;
	position:absolute
}


@media(max-width:1280px) {
	.ipl-pg .ry-flex > div {
    width:48%;
}
}

@media(max-width:991px) {
	.ipl-pg .ry-flex  {
		flex-direction:column;
		gap:30PX
    
}
	.ipl-pg .ry-flex > div {
		width:100%
	}
	.ipl-pg .ry-flex > div * {
		text-align:center
	}
	.ipl-pg .ry-full {
		margin-top:20px;
		margin-bottom:150px
	}
	.ipl-pg ul li p {
		text-align:start !important
	}
	.ipl-pg .btn-wrapper {
		justify-content:center;
		flex-direction:column;
		align-items:center
	}
	.ipl-pg .btn-wrapper a {
		margin-inline:0 ;
		width:100%;
		max-width:300px;
	}
.before-after-section.ry-flex::before {
    background: var(--color-primary-background);
    content: "";
    width: 100%;
    left: auto;
    right:0%;
    top:auto;
	bottom:-10px;
    transform: unset;
    height: 100px;
    position: absolute;
}
		.ipl-pg {
    padding: 0px 0;
}
	.ipl-pg .ry-container .ry-flex,
	.ipl-pg .ry-full{
    margin-bottom: 60px;
}
	.ipl-pg img {
		margin-inline:auto
	}
}

@media(max-width:780px) {
	[data-page-id="WebPage-ea99b7c0-492e-470e-9401-a33fd6a24b14"] [x-data="randomBanners"] {
	height:200px;;
		background-position:76% !important
}
}